C04.0 Attachment J-5 Corporate Experience N4523A22R1057 YTT-11.docx

DOCX document 17 KB Posted

Attached to
Service Life Extension Program for the YTT-11 Federal contract opportunity
Solicitation number
N4523A22R1057
Issued by
Department of the Navy Naval Supply Systems Command

About this file

This document provides details for a federal solicitation seeking marine preservation services for the YTT-11 Discovery Bay. The solicitation was issued by the Regional Maintenance Center at Puget Sound Naval Shipyard and Intermediate Maintenance Facility and seeks a firm-fixed-price contract to accomplish a Service Life Extension Program for the YTT-11, a 186-foot steel hull vessel built in 1992. The scope of work includes engine and generator replacement, electrical and control system upgrades, propeller replacement, and hull preservation services, to be completed at the contractor's facility between April 1, 2021 and November 30, 2021. Offerors must have the capability to accommodate the YTT-11's dimensions and perform work of similar complexity to the scope outlined. This opportunity is set aside for small businesses under NAICS code 336611 with less than 1,250 employees. The solicitation number is N4523A22R1057 and was issued by the Department of the Navy Naval Supply Systems Command.

View the file

Other files for this federal contract opportunity

Other files attached to Service Life Extension Program for the YTT-11, newest first.
File Type Posted
C09.0 Government Response to RFC 029 N4523A22R1057 YTT-11.pdf PDF
C09.0 Amendment 0008 N4523A22R1057 YTT-11 18JAN2022.pdf PDF
C09.0 Errata-1 Attachment J-2 YTT-11 N4523A22R1057 Price Proposal Worksheet REVISED 17JAN2022.xls XLS spreadsheet
C09.0 Errata-1 Attachment J-2 YTT-11 N4523A22R1057 Price Proposal Worksheet 14JAN2022.xls XLS spreadsheet
C09.0 Amendment 0007 N4523A22R1057 YTT-11 14JAN2022.pdf PDF
C09.0 Government Response to RFC 028 N4523A22R1057 YTT-11.pdf PDF
C09.0 Government Response to RFC 027 and Amended Response to RFC 023 N4523A22R1057 YTT-11.pdf PDF
C09.0 Amendment 0006 N4523A22R1057 YTT-11 07JAN2022.pdf PDF
C09.0 Addendum to Government Responses to RFCs 015, 016, 017, and 022 N4523A22R1057 YTT-11.pdf PDF
C09.0 Government Response to RFC 026 N4523A22R1057 YTT-11.pdf PDF
C09.0 Amendment 0005 N4523A22R1057 YTT-11 21DEC2021.pdf PDF
C09.0 Government Responses to RFC 014-025 N4523A22R1057 YTT-11.pdf PDF
C09.0 Amendment 0004 N4523A22R1057 YTT-11 17DEC2021.pdf PDF
C09.0 Government Responses to RFC 012-013 N4523A22R1057 YTT-11.pdf PDF
C09.0 Government Responses to RFC 004-011 N4523A22R1057.pdf PDF
C09.0 Amendment 0003 N4523A22R1057 YTT-11 09DEC2021.pdf PDF
C09.0 Attachment J-1 ERRATA 1 SOW YTT-11 N4523A22R1057 07DEC2021.pdf PDF
C09.0 Attachment J-6b N4523A22R1057 YTT-11 Additional Drawings Request.pdf PDF
C09.0 Amendment 0002 N4523A22R1057 YTT-11 03DEC2021.pdf PDF
C09.0 Errata-1 Attachment J-2 YTT-11 N4523A22R1057 Price Proposal Worksheet 03DEC2021.xls XLS spreadsheet
C09.0 Government Responses to RFC 001-003 N4523A22R1057 YTT-11.pdf PDF
C09.0 Amendment 0001 N4523A22R1057 YTT-11 17NOV2021.pdf PDF
C09.0 Attachment J-5 Corporate Experience Data Sheet N4523A22R1057 YTT-11 Updated 17NOV2021.docx DOCX document
C04.0 Solicitation YTT-11 N4523A22R1057.pdf PDF
C04.0 Attachment J-1 SOW YTT-11 N4523A22R1057 Updated 15NOV2021.pdf PDF
C04.0 Attachment J-6 N4523A22R1057 YTT-11 Drawings Request.pdf PDF
C04.0 Exhibit A CDRLS and DIDs YTT-11 N4523A22R1057.pdf PDF
C04.0 Attachment J-3 RFC Form N4523A22R1057 YTT-11.docx DOCX document
C04.0 Attachment J-4 Past Performance N4523A22R1057.docx DOCX document
C04.0 Exhibit B GFP Attachment YTT-11 N4523A22R1057.pdf PDF
C04.0 Attachment J-2 YTT-11 N4523A22R1057 Price Proposal Worksheet UPDATED 14NOV2021.xls XLS spreadsheet
C04.0 Attachment J-7 BAVR Instructions YTT-11.pdf PDF
Show all 32

On GovTribe

Work with this file on GovTribe

  • Download the original file
  • Contacts named in this file
  • Similar government files
  • Ask GovTribe AI about this file

Text version

CORPORATE EXPERIENCE DATA SHEET

N4523A22R1057 Attachment J-5

CONTRACTOR NAME____________________________________________________

Contract Number:

Date Completed:

Contract Type:
FFP_____ Cost Reimbursement ____ Other (Specify) ___________

Item/Service Description:

Contract Quantity/Period of Performance:

Customer Name:

Customer POC (Person who can verify data; Name/Title/Phone #/Email)

Address:

Telephone:

Email:

NARRATIVE- Provide narrative for specific experience to support Sub-factor 1.1 Corporate Experience as specified in Section L of the Solicitation.

NARRATIVE(Continued):

CONTRACTOR NAME____________________________________________________

Contract Number:

Date Completed:

Contract Type:
FFP_____ Cost Reimbursement ____ Other (Specify) ___________

Item/Service Description:

Contract Quantity/Period of Performance:

Customer Name:

Customer POC (Person who can verify data; Name/Title/Phone #/Email)

Address:

Telephone:

Email:

NARRATIVE- Demonstrate specific experience providing marine preservation services of the complexity similar to or exceeding the scope identified in section 1.2 of the statement of work (SOW):

CONTRACTOR NAME____________________________________________________

Contract Number:

Date Completed:

Contract Type:
FFP_____ Cost Reimbursement ____ Other (Specify) ___________

Item/Service Description:

Contract Quantity/Period of Performance:

Customer Name:

Customer POC (Person who can verify data; Name/Title/Phone #/Email)

Address:

Telephone:

Email:

NARRATIVE- Demonstrate specific experience providing marine preservation services of the complexity similar to or exceeding the scope identified in section 1.2 of the statement of work (SOW):

File details come from the government source that posted it. Updated .